Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties
Cloo.ComputePlatform Class Reference

Represents an OpenCL platform. More...

Inheritance diagram for Cloo.ComputePlatform:

List of all members.

## Public Member Functions
ReadOnlyCollection< ComputeDevice > | QueryDevices ()
| Gets a read-only collection of available ComputeDevices on the ComputePlatform.
## Static Public Member Functions
static ComputePlatform | GetByHandle (IntPtr handle)
| Gets a ComputePlatform of a specified handle.
static ComputePlatform | GetByName (string platformName)
| Gets the first matching ComputePlatform of a specified name.
static ComputePlatform | GetByVendor (string platformVendor)
| Gets the first matching ComputePlatform of a specified vendor.
## Properties
CLPlatformHandle | Handle`[get, set]`
| The handle of the ComputePlatform.
ReadOnlyCollection< ComputeDevice > | Devices`[get]`
| Gets a read-only collection of ComputeDevices available on the ComputePlatform.
ReadOnlyCollection< string > | Extensions`[get]`
| Gets a read-only collection of extension names supported by the ComputePlatform.
string | Name`[get]`
| Gets the ComputePlatform name.
static ReadOnlyCollection < ComputePlatform > | Platforms`[get]`
| Gets a read-only collection of available ComputePlatforms.
string | Profile`[get]`
| Gets the name of the profile supported by the ComputePlatform.
string | Vendor`[get]`
| Gets the ComputePlatform vendor.
string | Version`[get]`
| Gets the OpenCL version string supported by the ComputePlatform.

## Detailed Description

Represents an OpenCL platform.

The host plus a collection of devices managed by the OpenCL framework that allow an application to share resources and execute kernels on devices in the platform.

See also:
  ComputeDevice, ComputeKernel, ComputeResource

## Member Function Documentation

static ComputePlatform Cloo.ComputePlatform.GetByHandle | ( | IntPtr | handle | ) | `[static]`

Gets a ComputePlatform of a specified handle.

Parameters:

  handle | The handle of the queried ComputePlatform.

Returns:
  The ComputePlatform of the matching handle or `null` if none matches.

static ComputePlatform Cloo.ComputePlatform.GetByName | ( | string | platformName | ) | `[static]`

Gets the first matching ComputePlatform of a specified name.

Parameters:

  platformName | The name of the queried ComputePlatform.

Returns:
  The first ComputePlatform of the specified name or `null` if none matches.

static ComputePlatform Cloo.ComputePlatform.GetByVendor | ( | string | platformVendor | ) | `[static]`

Gets the first matching ComputePlatform of a specified vendor.

Parameters:

  platformVendor | The vendor of the queried ComputePlatform.

Returns:
  The first ComputePlatform of the specified vendor or `null` if none matches.

ReadOnlyCollection<ComputeDevice> Cloo.ComputePlatform.QueryDevices | ( |  | ) |

Gets a read-only collection of available ComputeDevices on the ComputePlatform.

Returns:
  A read-only collection of the available ComputeDevices on the ComputePlatform.

This method resets the `ComputePlatform.Devices`. This is useful if one or more of them become unavailable (`ComputeDevice.Available` is `false`) after a ComputeContext and ComputeCommandQueues that use the ComputeDevice have been created and commands have been queued to them. Further calls will trigger an `OutOfResourcesComputeException` until this method is executed. You will also need to recreate any ComputeResource that was created on the no longer available ComputeDevice.

## Property Documentation

ReadOnlyCollection<ComputeDevice> Cloo.ComputePlatform.Devices`[get]`

Gets a read-only collection of ComputeDevices available on the ComputePlatform.

A read-only collection of ComputeDevices available on the ComputePlatform.

ReadOnlyCollection<string> Cloo.ComputePlatform.Extensions`[get]`

Gets a read-only collection of extension names supported by the ComputePlatform.

A read-only collection of extension names supported by the ComputePlatform.

CLPlatformHandle Cloo.ComputePlatform.Handle`[get, set]`

The handle of the ComputePlatform.

string Cloo.ComputePlatform.Name`[get]`

Gets the ComputePlatform name.

The ComputePlatform name.

ReadOnlyCollection<ComputePlatform> Cloo.ComputePlatform.Platforms`[static, get]`

Gets a read-only collection of available ComputePlatforms.

A read-only collection of available ComputePlatforms.

The collection will contain no items, if no OpenCL platforms are found on the system.

string Cloo.ComputePlatform.Profile`[get]`

Gets the name of the profile supported by the ComputePlatform.

The name of the profile supported by the ComputePlatform.

string Cloo.ComputePlatform.Vendor`[get]`

Gets the ComputePlatform vendor.

The ComputePlatform vendor.

string Cloo.ComputePlatform.Version`[get]`

Gets the OpenCL version string supported by the ComputePlatform.

The OpenCL version string supported by the ComputePlatform. It has the following format: `OpenCL[space][major_version].[minor_version][space][vendor-specific information]`.

The documentation for this class was generated from the following file:

- Cloo/Source/ComputePlatform.cs